const logger = require('@ntnu/logger')('test');
const log = logger('testcase');
const http = require('./index')(logger);

if (!process.env.FS_USERNAME || !process.env.FS_PASSWORD) {
  throw new Error('Missing FS_USERNAME or FS_PASSWORD');
}

http
  .get('/sprak', {
    baseURL: 'https://fsapi-test.uio.no',
    fsOauth: {
      username: process.env.FS_USERNAME,
      password: process.env.FS_PASSWORD,
    },
  })
  .then(() => {
    log.info('Successful request');
  })
  .catch((e) => {
    log.error({stack: e.stack, response: (e.response || {}).data}, e.message);
    process.exit(1);
  });
